laravel/routes/web.php
Route::get('users/{userId}/division','DivisionUserController@index');

Route::get('division/{dep}','DivisionController@divDep');
Route::get('test',function(){
  return App\Division::with('department')->get();
});

Route::get('divisionDep','DivisionController@divisionDep');


Route::get('test2',function(){
  return App\Portfolio::with('department')->get();
});

Route::get('/portfolioDep','PortfolioController@portfolioDep');

Route::get('treeview',array('as'=>'jquery.treeview','uses'=>'TreeController@treeView'));


Route::get('editProfile','PersonController@edit');
Route::get('Profile','PersonController@profile');


Route ::resource('sharing','SharingperController');




Route::resource('category','CategoryController');
Route::get('profile', function(){
    return view('profile');
});

Route::resource('/serviceuser', 'ServiceUserController');
Route::get('/serviceuser/list/{org}', 'ServiceUserController@listtype');
Route::get('/serviceuser/group/{org}', 'ServiceUserController@groupservice');
Route::get('/serviceuser/lists/all', 'ServiceUserController@showall');

Route::resource('/servicecenter', 'ServicePerController');

Route::resource('/servicetracking', 'ServiceTrackingController');
Route::post('servicetracking/search', 'ServiceTrackingController@searchinbox');
Route::post('service/tracking/search', 'ServiceTrackingController@search')->name('servicetracking.search');
Route::post('/servicecenter/sent', 'ServicePerController@sentservice')->name('serviceper.sentservice');
Route::get('/service/{org}', 'ServicePerController@listtype');
Route::get('/service/{org}', 'ServicePerController@listtype');
Route::get('/service/group/{org}', 'ServicePerController@groupservice');
Route::get('/allservice', 'ServicePerController@showall');
Route::get('/groupservice/{org}', 'ServicePerController@listgroup');

Route::resource('post','PostController');
Route::POST('addPost','PostController@addPost');
Route::POST('editPost','PostController@editPost');
Route::POST('deletePost','PostController@deletePost');

Route::get('/webservice','IframeController@index');

Route::get('previous','Auth\LoginController@re')->name('previous');
Route::resource('reflink','RefController');
Route::get('/reflink/event/link','RefController@eventlink');
Route::post('/reflink/event/link/get', 'RefController@storeeventlink')->name('reflink.storeeventlink');
Route::get('/reflink/smart/link','RefController@smartlink');
Route::post('/reflink/smart/link/get', 'RefController@storesmartlink')->name('reflink.storesmartlink');
Route::get('/reflink/content/link','RefController@contentlink');
Route::get('/reflink/service/link','RefController@servicelink');
Route::post('/reflink/service/link/get', 'RefController@storeservicelink')->name('reflink.storeservicelink');
Route::post('/reflink/content/link/get', 'RefController@storesmartlink')->name('reflink.storecontentlink');
Route::get('/findevent','Reftroller@findevent');

Route::get('/findservice','ServiceTrackingController@findservice');
Route::get('/findcatmsg','ServiceTrackingController@findcatmsg');
Route::get('/myservice/{org}', 'ServiceTrackingController@listservice');
Route::get('/groupmyservice/{org}', 'ServiceTrackingController@groupservice');

Route::resource('/user/servicetracking', 'ServiceTrackingUserController');
Route::get('/user/servicetracking/list/{org}', 'ServiceTrackingUserController@listservice');
Route::resource('userprofile', 'UserProfileController');
Route::get('/userprofile/resetpassword/{id}',['uses'=>'UserProfileController@repassword']);
Route::match(['put', 'patch'], '/userprofile/useruppass/{id}','UserProfileController@uppass');
Route::match(['put', 'patch'], '/userprofile/useruppid/{id}','UserProfileController@uppid');


Route::get('/userprofile/user/pid/{id}', 'UserProfileController@mypid');
Route::get('/userprofile/resetpassword/{id}',['uses'=>'UserProfileController@repassword']);
Route::match(['put', 'patch'], '/userprofile/useruppid/{id}','UserProfileController@uppid');
Route::resource('organizeprofile', 'OrganizeProfileController');

Route::resource('/organizeadmin', 'OrganizeAdminController');
Route::post('/organizeadmin/search', 'OrganizeAdminController@search')->name('organizeadmin.search');
Route::get('/organizeadmin/branch/{id}', 'OrganizeAdminController@findbranch');

    Route::resource('/organizeuser', 'OrganizeUserController');
    Route::post('/organizeuser/search', 'OrganizeUserController@search')->name('organizeuser.search');
    Route::get('/organizeuser/branch/{id}', 'OrganizeUserController@findbranch');

    Route::resource('/branch', 'BranchController');
    Route::post('/branchuser/search', 'BranchController@search')->name('branch.search');

    Route::resource('/branchuser', 'BranchUserController');
    Route::post('/branch/search', 'BranchUserController@search')->name('branchuser.search');
    Route::get('/branch/create/{id}', 'BranchUserController@create');
    Route::get('/branch/update/{id}', 'BranchUserController@edit');

Route::get('/loggedout','LogoutController@logoutpage');
Route::get('/member/resetpassword/{id}',['uses'=>'PersonController@repassword']);
Route::match(['put', 'patch'], '/pass/{id}','PersonController@uppass');
Route::get('/link/{id}','LinkController@index');
Route::get('/member/link/{id}','LinkPerController@index');
Route::get('portfolio/showport/shows/{id}',['uses'=>'PersonController@showdetail']);
Route::get('port/showfile/{id}',['uses'=>'PersonController@showfile']);
Route::get('person/port/asset/{id}',['uses'=>'PersonController@ownasset']);
Route::get('person/port/asset/detail/{id}/{portid}',['uses'=>'PersonController@detail']);
Route::get('person/port-transaction/{id}',['uses'=>'PersonController@porttransaction']);
Route::post('person/asset/search', 'PersonController@assetsearch')->name('assetper.search');
Route::post('person/porttransaction/search', 'PersonController@porttransearch')->name('porttranper.search');
Route::get('person/asset-transaction/show/{id}/{portnum}',['uses'=>'PersonController@assettransaction']);
Route::get('person/asset-transaction/{id}','PersonController@detailtransaction');
Route::get('/findPortLabel','PortfolioController@findPortLabel');
Route::get('/findAssetLabel','AssetController@findAssetLabel');
Route::get('/findAssetIssue','AssetController@findAssetIssue');
Route::get('/findAssetIssueName','AssetController@findAssetIssueName');
Route::get('/findAssetIssueBranch','AssetController@findAssetIssueBranch');
Route::get('/findPortnum','AssetController@findPortnum');
Route::get('/findPortmember','AssetController@findPortMember');
Route::get('/findPortasset','AssetController@findPortAsset');
Route::get('/findmemrefid','AssetController@findMemRefid');
Route::get('/findmemid','AssetController@findMemId');
Route::get('/findmemtype','AssetController@findMemType');
Route::get('/findassettype','AssetController@findAssetType');
Route::get('/findPartyName','AssetController@findPartyName');
Route::get('/findProvince','AjaxlinkController@findProvince');
Route::get('/findDistrict','AjaxlinkController@findDistrict');
Route::get('/findSubdistrict','AjaxlinkController@findSubdistrict');
Route::get('/findFileCat','AjaxlinkController@findFileCat');
Route::get('/findToolSet','AjaxlinkController@findToolSet');
Route::get('/findpartnerblock','AjaxlinkController@findpartnerblock');
Route::get('/findCaseType','AjaxlinkController@findCaseType');
Route::get('/findCondition','AjaxlinkController@findCondition');
Route::get('/findAction','AjaxlinkController@findAction');
Route::get('/AssetTypeInfo','AjaxlinkController@AssetTypeInfo');

Route::get('/findOfferType','AjaxlinkController@findOfferType');

Route::get('/findOfferTypeCampaign','AjaxlinkController@findOfferTypeCampaign');

Route::get('/pathcondetail','AjaxlinkController@pathcondetail');

Route::resource('/match-member-wealththai', 'MatchMemberWealththaiController');
Route::post('/match-member-wealththai/search', 'MatchMemberWealththaiController@search')->name('match-member-wealththai.search');
Route::resource('/partywealththai', 'PartyWealththaiController');
Route::post('/partywealththai/search', 'PartyWealththaiController@search')->name('partywealththai.search');
Route::get('/academiclibrary','AcademicController@index');
Route::get('/formupload','AcademicController@formupload');
Route::get('/elearning','AcademicController@elearning');
Route::get('/privilege','AcademicController@privilege');
Route::get('/announcement','AcademicController@announcement');
Route::get('/regiswealththai','AcademicController@regiswealththai');

Route::get('/Profile/publicid','PersonController@pid');
Route::get('/Profile/member/pid/{id}', 'PersonController@mypid');
Route::match(['put', 'patch'], '/Profile/memberuppid/{id}','PersonController@uppid');
Route::get('/familys/fetch_data', 'FamilyController@fetch_data');
Route::get('/family/{id}/edit/{status}', 'FamilyController@status');
Route::delete('/organizeauth/delete/{id}','OrganizeAuthController@destroy');



Route::resource('/prospect', 'ProspectController');
Route::get('/convert/prospect/{id}', 'ProspectController@convert');
Route::post('/prospect/searchnormal', 'ProspectController@searchnormal')->name('prospect.searchnormal');
Route::post('/prospect/search', 'ProspectController@search')->name('prospect.search');
Route::get('/prospect/status/{id}/{statusid}', 'ProspectController@changestatus');
Route::get('/prospect/priority/{id}/{number}', 'ProspectController@changepriority');
Route::get('/prospect/type/{id}/{number}', 'ProspectController@changetype');


Route::resource('/prospectcoor', 'ProspectCoorController');
Route::get('/convert/prospectcoor/{id}', 'ProspectCoorController@convert');
Route::post('/prospectcoor/searchnormal', 'ProspectCoorController@searchnormal')->name('prospectcoor.searchnormal');
Route::post('/prospectcoor/search', 'ProspectCoorController@search')->name('prospectcoor.search');
Route::get('/prospectcoor/status/{id}/{statusid}', 'ProspectCoorController@changestatus');

laravel/resources/views/userprofile/base.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        My Profile
      </h1>
      <ol class="breadcrumb">
        <!-- li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li-->
        <li class="active">My Profile</li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

laravel/resources/views/userprofile/edit.blade.php
@extends('userprofile.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Update user</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('userprofile.update', ['id' => $user->id]) }}">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
                            <label for="username" class="col-md-4 control-label">User Name</label>

                            <div class="col-md-6">
                                <input id="username" type="text" class="form-control" name="username" value="{{ $user->username }}" required autofocus>

                                @if ($errors->has('username'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('username') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('firstname') ? ' has-error' : '' }}">
                            <label for="firstname" class="col-md-4 control-label">First Name</label>

                            <div class="col-md-6">
                                <input id="firstname" type="text" class="form-control" name="firstname" value="{{ $user->firstname }}" required>

                                @if ($errors->has('firstname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('firstname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('lastname') ? ' has-error' : '' }}">
                            <label for="lastname" class="col-md-4 control-label">Last Name</label>

                            <div class="col-md-6">
                                <input id="lastname" type="text" class="form-control" name="lastname" value="{{ $user->lastname }}" required>

                                @if ($errors->has('lastname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('lastname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        


                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

laravel/resources/views/userprofile/pid.blade.php
@extends('userprofile.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Update user</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ URL::to('userprofile/useruppid', ['id' => $user->id]) }}">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-group{{ $errors->has('username') ? ' has-error' : '' }}">
                            <label for="username" class="col-md-4 control-label">Public Name</label>

                            <div class="col-md-6">
                                <input id="username" type="text" class="form-control" name="public_name" value="{{ $user->public_name }}" required autofocus>

                                @if ($errors->has('username'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('username') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('firstname') ? ' has-error' : '' }}">
                            <label for="firstname" class="col-md-4 control-label">Public Email</label>

                            <div class="col-md-6">
                                <input id="firstname" type="text" class="form-control" name="public_email" value="{{ $user->public_email }}" required>

                                @if ($errors->has('firstname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('firstname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('firstname') ? ' has-error' : '' }}">
                            <label for="firstname" class="col-md-4 control-label">Public Mobile</label>

                            <div class="col-md-6">
                                <input id="firstname" type="text" class="form-control" name="public_mobile" value="{{ $user->public_mobile }}" required>

                                @if ($errors->has('firstname'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('firstname') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>




                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

laravel/resources/views/userprofile/refbase.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Referal Management
      </h1>
      <ol class="breadcrumb">
        <!-- li><a href="#"><i class="fa fa-dashboard"></i> Level</a></li-->
        <li class="active">My Profile</li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

laravel/resources/views/userprofile/repassword.blade.php
@extends('userprofile.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Reset Password</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ URL::to('userprofile/useruppass',$user->id)}}">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">

                        <div class="form-group{{ $errors->has('password') ? ' has-error' : '' }}">
                            <label for="password" class="col-md-4 control-label">New Password</label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control" name="password" required>

                                @if ($errors->has('password'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('password') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="password-confirm" class="col-md-4 control-label">Confirm New Password</label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required>
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection